> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 按档位创建 BBO 订单

> 按指定盘口档位创建 BBO 永续合约订单

按指定盘口档位创建 BBO 永续合约订单。


## OpenAPI

````yaml openapi/perpdex.yaml POST /dex_futures/{settle}/bbo_orders
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永续合约公开行情与市场数据
  - name: 风险数据
    description: 风险限额与市场强平数据
  - name: 账户
    description: 账户与费率
  - name: 持仓
    description: 持仓查询与管理
  - name: 订单
    description: 订单、成交与批量交易
paths:
  /dex_futures/{settle}/bbo_orders:
    post:
      tags:
        - 订单
      summary: 按档位创建 BBO 订单
      description: 按指定盘口档位创建 BBO 永续合约订单，支持 level 和 direction 参数。
      operationId: placePerpBBOOrder
      parameters:
        - $ref: '#/components/parameters/Settle'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DEXFuturesBBOOrder'
      responses:
        '200':
          description: 创建成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DEXFuturesBBOOrder'
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 结算币种
      schema:
        type: string
        enum:
          - usdt
      example: usdt
  schemas:
    DEXFuturesBBOOrder:
      type: object
      required:
        - contract
        - size
        - direction
        - level
      properties:
        contract:
          type: string
          description: 永续合约
        size:
          type: integer
          format: int64
          description: 交易数量；正数买入、负数卖出
        direction:
          type: string
          enum:
            - sell
            - buy
          description: sell 获取买盘档位，buy 获取卖盘档位
        iceberg:
          type: integer
          format: int64
          description: 冰山单显示数量
        level:
          type: integer
          format: int64
          minimum: 1
          maximum: 20
          description: 盘口档位，最大 20
        close:
          type: boolean
          description: 是否平仓
        reduce_only:
          type: boolean
          description: 是否只减仓
        tif:
          type: string
          description: 订单有效方式
          enum:
            - gtc
            - ioc
            - poc
            - fok
        text:
          type: string
          description: 自定义订单信息
        auto_size:
          type: string
          description: 双向持仓平仓方向
          enum:
            - close_long
            - close_short
        stp_act:
          type: string
          description: 自成交防护策略
          enum:
            - co
            - cn
            - cb
            - '-'
        default_leverage:
          type: string
          description: 默认杠杆
        limit_vip:
          type: integer
          format: int64
          description: 对手方 VIP 等级限制
        pid:
          type: integer
          format: int64
          description: Position ID
      additionalProperties: true
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 时间戳（秒），与当前时间差不得超过 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 对签名字符串执行 HMAC-SHA512 后的十六进制签名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.